Status: Closed

Priority: Low

Assignee: nobody -

Category: Web Services clients/WMS

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11659

Description

A test WMS server is at: http://www.lucamorandini.it/geoserver/wms , while

the WFS one is at:http://www.lucamorandini.it/geoserver/wfs

As I see it. there are two issues when Quantum GIS and Geoserver interact:

1) QGIS does not retrieve all available styles when listing WMS layers

to be added, only the first one ("burg", in this case) is shown; if that

style is not applicable to the chosen WMS layer, the layer won't show.

2) QGIS does not prefix WFS requests with the proper namespace, for

instance it asks for:

GET

/wfs?SERVICE=WFS&VERSION=1.0.0&REQUEST=DescribeFeatureType&TYPENAME=region

while TYPENAME should be psc:region instead.

History

#1 - 2009-04-01 01:24 AM - Marco Hugentobler

One problem with the WMS server is that it states the url for [[GetMap]] requests to be

http://localhost/... (see below)

where it should be http://www.lucamorandini.it/geoserver/wms

<GetMap>

        <Format>image/png</Format>

        <Format>application/atom xml</Format>

        <Format>application/atom+xml</Format>

        <Format>application/openlayers</Format>

        <Format>application/pdf</Format>

        <Format>application/rss xml</Format>

        <Format>application/rss+xml</Format>

        <Format>application/vnd.google-earth.kml</Format>

        <Format>application/vnd.google-earth.kml xml</Format>

        <Format>application/vnd.google-earth.kml+xml</Format>

        <Format>application/vnd.google-earth.kmz</Format>

        <Format>application/vnd.google-earth.kmz xml</Format>

        <Format>application/vnd.google-earth.kmz+xml</Format>

        <Format>atom</Format>
        <Format>image/geotiff</Format>

        <Format>image/geotiff8</Format>

        <Format>image/gif</Format>

        <Format>image/jpeg</Format>

        <Format>image/png8</Format>

        <Format>image/svg</Format>

        <Format>image/svg xml</Format>

        <Format>image/svg+xml</Format>

        <Format>image/tiff</Format>

        <Format>image/tiff8</Format>

        <Format>kml</Format>

        <Format>kmz</Format>

        <Format>openlayers</Format>

        <Format>rss</Format>

        <DCPType>

          <HTTP>

            <Get>

              <OnlineResource xmlns:xlink="http://www.w3.org/1999/xlink" xlink:type="simple"

xlink:href="http://localhost:8080/geoserver/wms?SERVICE=WMS&"/>

            </Get>

          </HTTP>

        </DCPType>

      </GetMap>

#2 - 2009-04-02 12:58 AM - Paolo Cavallini

Luca has corrected the issue with host name and path returned from [[GetCapabilities]] (now the [[OnlineResource]] attribute points to: 

www.lucamorandini.it/geoserver), please check.

#3 - 2009-05-02 02:01 AM - Marco Hugentobler

- Resolution set to fixed

- Status changed from Open to Closed

And issue 3) is that the WFS server does not provide information about the layer extent. So commit:69c5d8e0 (SVN r10698) contains a failback method to

calculate the layer extent if wfs server does not provide one.
